## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CollectionClearGuard Class Template Reference

`#include <STLHelper.hpp>`

Collaboration diagram for CollectionClearGuard:

[legend]
List of all members.

## Public Methods

- CollectionClearGuard (CollectionType &theCollection)
- ~CollectionClearGuard ()
- void release ()

### template<class CollectionType> class CollectionClearGuard

## Constructor & Destructor Documentation

template<class CollectionType>
CollectionClearGuard<CollectionType>::CollectionClearGuard<CollectionType> ( | CollectionType & theCollection )

template<class CollectionType>
CollectionClearGuard<CollectionType>::~CollectionClearGuard<CollectionType> ( | )

## Member Function Documentation

template<class CollectionType>
void CollectionClearGuard<CollectionType>::release ( | )

The documentation for this class was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.